# Configuration Changes to Enable / Disable Insights Pages

The Insights pages can be hidden or shown, based on the changes made in the **app-config.json** file. By default, when Grafana is enabled, Pipeline insights and User insights pages are displayed and the Stage insights page is hidden.&#x20;

To show or hide the insights pages as per your requirement, follow the steps below:

* Goto enterprise-spinnaker/charts/oes/config/oes-ui/app-config.json&#x20;
* In the app-config.json file, add the following boolean flags as shown in the code block below:

  "hide\_pipeline\_insights": false,&#x20;

  "hide\_stage\_insights": true, &#x20;

  "hide\_user\_insights": false,

{% code overflow="wrap" %}

```
"grafana_enabled": false,
"hide_pipeline_insights": false, 
"hide_stage_insights": true,  
"hide_user_insights": false,      
"grafanaPipelineInsightsEndpoint":"<PROTOCOL>://<ISD-URL>/grafana/d/pipeline-insight/pipeinsights",     
"grafanaStageInsightsEndpoint":"<PROTOCOL>://<ISD-URL>/grafana/d/stage-insight/stageinsights",    
"grafanaUserInsightsEndpoint":"<PROTOCOL>://<ISD-URL>/grafana/d/user-insights/user-insights"
```

{% endcode %}

{% hint style="info" %}
The grafana\_enabled flag is false, by default. The boolean flags to enable the insights page, are available, only if grafana\_enabed flag is true.&#x20;
{% endhint %}

<br>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opsmx.com/opsmx-1/opsmx-context-engine/additional-resources/configuration-changes-to-enable-disable-insights-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
